## mx4j.persist
Class MBeanPersister

    java.lang.Object
      mx4j.persist.Persister
          mx4j.persist.MBeanPersister

All Implemented Interfaces:
  PersisterMBean

public class MBeanPersister
extends Persister

A persister that delegates the persistence to a registered persister MBean.

Version:
  $Revision: 1.7 $

Constructor Summary
`MBeanPersister(javax.management.MBeanServer server, javax.management.ObjectName name)` Creates a new MBeanPersister that delegates persistence to a persister MBean registered in the specified MBeanServer with the specified ObjectName.

Method Summary
`java.lang.Object` `load()` Loads the information persisted on the storage media.
`void` `store(java.lang.Object data)` Store the given information to the storage media.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MBeanPersister

    public MBeanPersister(javax.management.MBeanServer server,
                          javax.management.ObjectName name)

  Creates a new MBeanPersister that delegates persistence to a persister MBean registered in the specified MBeanServer with the specified ObjectName.

Method Detail

### load

    public java.lang.Object load()
                          throws javax.management.MBeanException,
                                 javax.management.RuntimeOperationsException,
                                 javax.management.InstanceNotFoundException

  Description copied from interface: `PersisterMBean`
  Loads the information persisted on the storage media.

  Throws:
    `javax.management.MBeanException`
    `javax.management.RuntimeOperationsException`
    `javax.management.InstanceNotFoundException`
  See Also:
    `PersisterMBean.store(java.lang.Object)`

### store

    public void store(java.lang.Object data)
               throws javax.management.MBeanException,
                      javax.management.RuntimeOperationsException,
                      javax.management.InstanceNotFoundException

  Description copied from interface: `PersisterMBean`
  Store the given information to the storage media.

  Throws:
    `javax.management.MBeanException`
    `javax.management.RuntimeOperationsException`
    `javax.management.InstanceNotFoundException`
  See Also:
    `PersisterMBean.load()`

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.